This question about Using an extension: Closed unanswered

Plugin upgrade does not change plugin in extension-topic in configure

Hi!
I have a problem. I have to upgrade some plugins. Our Foswiki is probably a very old version, but upgraded to newer version by hand because we have self-developed parts. The problem is now as following: We installed foswiki 1.1.5 on a new linux-VM and copied the relevant files from the running foswiki to the new one. After some small problems most of the things work now, but upgrading plugins is still bug. When I go into configure there are no errors, in the extension part lots of plugins are installed (because we copied the things). When I tick a plugin to upgrade to the newest version and click safe then something like the following is shown :


Installing DBCacheContrib

Loading package installer
fetching installer from http://foswiki.org/pub/Extensions/ ... succeeded
Dependency Report for DBCacheContrib ..
===== INSTALLED =======
Time::ParseDate version 2011.0517 loaded

Storable version 2.20 loaded

BerkeleyDB version 0.42 loaded


Creating Backup of DBCacheContrib ...
Backup saved into /var/www/foswiki/working/configure/backup/DBCacheContrib-backup-20120913-104916 
   Archived as /var/www/foswiki/working/configure/backup/DBCacheContrib-backup-20120913-104916.tgz 
Running Pre-install exit for DBCacheContrib ...
Installing DBCacheContrib...
Unpacking /tmp/UzFZdeAtq8.tgz...
Checked in: data/System/DBCacheContrib.txt  as System.DBCacheContrib
Installed:  lib/Foswiki/Contrib/DBCacheContrib.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivable.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivist.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivist/BDB.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivist/BDB/Array.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivist/BDB/Collection.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivist/BDB/Map.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Archivist/Storable.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Array.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Config.spec
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Map.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/MemArchivist.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/MemArray.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/MemMap.pm
Installed:  lib/Foswiki/Contrib/DBCacheContrib/Search.pm
Installed:  DBCacheContrib_installer
Running Post-install exit for DBCacheContrib...

Installation of DBCacheContrib and dependencies finished

Before proceeding, review the dependency reports of each installed extension and resolve any dependencies as required.
  • External dependencies are never automatically resolved by Foswiki.
  • Dependencies noted as "Optional" will not be automatically resolved, and
  • CPAN dependencies are not resolved by the web installer.


Everything looks fine. The strange thing is, when I take a look at the extensions afterwards, nothing changed. there is still the old version running and stated that the new version is available.

Any hints, suggestions?

-- ChKoaser - 13 Sep 2012

I've installed it here, and it shows up "green" in the Find Extensions screen once it's been installed. Could you be a bit more specific?
  • In configure, which versions are shown as Installed and Most Recent? (I get 10 Jan 2012)
  • Topic DBCacheContrib - what version shows up? I get a Topic date 2 Jul 2009, but in the "Info" section, it shows Release: 10 Jan 2012 Version: 13592 (2012-01-10)

The topic date is wrong, but the installed version is correct. (The topic date is not often updated)

-- GeorgeClark - 14 Sep 2012

hi the problem is as following: you click install (for a plugin that is not installed) and save, then it writes down the things it installs. then it says finished without failure, but when you return to config and look again at the plugins then the plugin installed before appears as not installed. I tried this several times, it is the same for all the plugins. We've given up (the system is a merge of foswiki 1.1.5 and our files from 1.1.2) and now have set up a new foswiki 1.1.5 and change it manually to our needs.

-- ChKoaser - 21 Sep 2012
 

QuestionForm edit

Subject Using an extension
Extension all of them
Version Foswiki 1.1.5
Status Closed unanswered
Related Topics plugins
Topic revision: r4 - 09 Jan 2015, GeorgeClark - This page was cached on 21 Jan 2018 - 23:57.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License